find_dialog_focus(3)

NAME
find_dialog_focus - Searches the dialog for the object which has the input focus. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int find_dialog_focus(DIALOG *dialog);

DESCRIPTION
Searches the dialog for the object which has the input focus, returning an index or -1 if the focus is not set. This is useful if you are calling do_dialog() several times in a row and want to leave the focus in the same place it was when the dialog was last displayed, as you can call do_dialog(dlg, find_dialog_focus(dlg));

SEE ALSO
do_dialog(3), init_dialog(3), offer_focus(3)